KD SOAP API Documentation: KDSoapNamespaceManager Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
KDSoapNamespaceManager Class Reference

`#include <KDSoapNamespaceManager.h>`

## Static Public Member Functions
static QString | soapEncoding ()
static QString | soapEncoding200305 ()
static QString | soapEnvelope ()
static QString | soapEnvelope200305 ()
static QString | soapMessageAddressing ()
static QString | soapMessageAddressing200303 ()
static QString | soapMessageAddressing200403 ()
static QString | soapMessageAddressing200408 ()
static QString | soapSecurityExtention ()
static QString | soapSecurityUtility ()
static QString | xmlSchema1999 ()
static QString | xmlSchema2001 ()
static QString | xmlSchemaInstance1999 ()
static QString | xmlSchemaInstance2001 ()

## Detailed Description

Repository of namespaces

Definition at line 19 of file KDSoapNamespaceManager.h.

## Member Function Documentation

## ◆ soapEncoding()

QString KDSoapNamespaceManager::soapEncoding | ( |  | ) |
| static

Definition at line 46 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageWriter::messageToXml(), parseElement(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ soapEncoding200305()

QString KDSoapNamespaceManager::soapEncoding200305 | ( |  | ) |
| static

Definition at line 51 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageWriter::messageToXml(), parseElement(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ soapEnvelope()

QString KDSoapNamespaceManager::soapEnvelope | ( |  | ) |
| static

Definition at line 36 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessage::createFaultMessage(), KDSoapMessageWriter::messageToXml(), parseElement(), KDSoapNamespacePrefixes::writeStandardNamespaces(), and KDSoapMessageReader::xmlToMessage().

## ◆ soapEnvelope200305()

QString KDSoapNamespaceManager::soapEnvelope200305 | ( |  | ) |
| static

Definition at line 41 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessage::createFaultMessage(), KDSoapMessageWriter::messageToXml(), parseElement(), KDSoapNamespacePrefixes::writeStandardNamespaces(), and KDSoapMessageReader::xmlToMessage().

## ◆ soapMessageAddressing()

QString KDSoapNamespaceManager::soapMessageAddressing | ( |  | ) |
| static

Definition at line 56 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageAddressingProperties::addressingNamespaceToString(), and KDSoapMessageAddressingProperties::isWSAddressingNamespace().

## ◆ soapMessageAddressing200303()

QString KDSoapNamespaceManager::soapMessageAddressing200303 | ( |  | ) |
| static

Definition at line 71 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageAddressingProperties::addressingNamespaceToString(), and KDSoapMessageAddressingProperties::isWSAddressingNamespace().

## ◆ soapMessageAddressing200403()

QString KDSoapNamespaceManager::soapMessageAddressing200403 | ( |  | ) |
| static

Definition at line 76 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageAddressingProperties::addressingNamespaceToString(), and KDSoapMessageAddressingProperties::isWSAddressingNamespace().

## ◆ soapMessageAddressing200408()

QString KDSoapNamespaceManager::soapMessageAddressing200408 | ( |  | ) |
| static

Definition at line 81 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by KDSoapMessageAddressingProperties::addressingNamespaceToString(), and KDSoapMessageAddressingProperties::isWSAddressingNamespace().

## ◆ soapSecurityExtention()

QString KDSoapNamespaceManager::soapSecurityExtention | ( |  | ) |
| static

Definition at line 61 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

## ◆ soapSecurityUtility()

QString KDSoapNamespaceManager::soapSecurityUtility | ( |  | ) |
| static

Definition at line 66 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

## ◆ xmlSchema1999()

QString KDSoapNamespaceManager::xmlSchema1999 | ( |  | ) |
| static

Definition at line 16 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by variantToTextValue(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ xmlSchema2001()

QString KDSoapNamespaceManager::xmlSchema2001 | ( |  | ) |
| static

Definition at line 21 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by variantToTextValue(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ xmlSchemaInstance1999()

QString KDSoapNamespaceManager::xmlSchemaInstance1999 | ( |  | ) |
| static

Definition at line 26 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by parseElement(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

## ◆ xmlSchemaInstance2001()

QString KDSoapNamespaceManager::xmlSchemaInstance2001 | ( |  | ) |
| static

Definition at line 31 of file KDSoapNamespaceManager.cpp.

References QString::fromLatin1().

Referenced by parseElement(), and KDSoapNamespacePrefixes::writeStandardNamespaces().

The documentation for this class was generated from the following files:

- KDSoapNamespaceManager.h
- KDSoapNamespaceManager.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8